Skip to content

Query Insurance Rate

Request

Security
BearerAuth
Query
declared_valuenumberrequired

Declared value for shipment insurance, representing the insured amount in USD.

Example:declared_value=200
service_levelstringrequired

The insurance quote request must specify a service_level. Pricing varies depending on the selected service level.

Example:service_level=USPS_GROUND_ADVANTAGE
GET
/api/shipment/insurance/rate
curl -i -X GET \
  'https://x-api.shipsaving.com/api/shipment/insurance/rate?declared_value=200&service_level=USPS_GROUND_ADVANTAGE' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
codestring
Example:"ok"
msgstring
Example:"ok"
dataobject(InsuranceRateItem)
Response
{ "code": "ok", "msg": "ok", "data": { "carrier": "USPS", "rate_id": "dc288147-f7dd-494d-9353-5ce00020c7aa", "service_level": "USPS_GROUND_ADVANTAGE", "rate": 1.98, "declared_value": 200 } }